Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158742 - samba stops offering its shares
Summary: samba stops offering its shares
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 12:27 UTC by Zdenek Pizl
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:01:43 UTC


Attachments (Terms of Use)

Description Zdenek Pizl 2005-05-25 12:27:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.7.8-1.0.rh90.kde

Description of problem:
The problematic machine is a member of domain. Its config:

[global]
        workgroup = SYSTINET
        server string = Buildsrv
        security = DOMAIN
        password server = 10.0.0.3
        ;encrypted passwords = yes

        log level = 10
        log file = /var/log/samba/%m.log
        max log size = 5000

        wins server = 10.0.0.3
        smb ports = 139 445
        name resolve order = hosts wins bcast

        max smbd processes = 5000
        socket options = IPTOS_LOWDELAY TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192 SO_KEEPALIVE

        load printers = No
        dns proxy = No
        ldap ssl = no

        read raw = no
        level2 oplocks = true

        domain master = no
        domain logons = no
        local master  = no

        dont descend = /proc,/dev,/lost+found,/BUILD/lost+found

[buildsrv]
        comment = Share to store built products etc.
        path = /BUILD
        force user = someuser
        force group = somegroup
        read only = No
        create mask = 0644
        directory mask = 0775
        force directory mode = 0775
        guest ok = Yes
        use sendfile = Yes
        write cache size = 65536

---
It has happened suddenly, no reconfig has been done. Uninstall samba, removing machine from domain, reinstall/upgrade samba and add to domain again did not help.



Version-Release number of selected component (if applicable):
3.0.9-1.3E.1 3.0.14a-1

How reproducible:
Always

Steps to Reproduce:
1. start samba
2. wait some time (from hours to few days)
3. that's it


Actual Results:  other machines cannot mount/browse the share. 

Expected Results:  share should be be accessible all the time

Additional info:

the domain controller (10.0.0.3) is a RH Linux 7.3 machine with openLDAP 2.0.27-2.7.3.

DO you need more info, logs, etc.? Send me an email and specify what you'll need. thanks

Comment 1 Zdenek Pizl 2005-05-25 12:44:02 UTC
the machine is under heavy load. Many other machines are writing/reading to its
share ...

z.p.

Comment 2 Suzanne Hillman 2005-05-31 19:34:19 UTC
As you appear to have some level of urgency, I note that in order to file a
support issue, you will need to either contact Red Hat's Technical Support line
at 888-REDHAT-1 or file a web ticket at http://www.redhat.com/apps/support/.  

Bugzilla is not an official support channel, has no response guarantees, and may
not route your issue to the correct area to assist you.  Using the official
support channels above will guarantee that your issue is handled appropriately
and routed to the individual or group which can best assist you with this issue
and will also allow Red Hat to track the issue, ensuring that any applicable bug
fix is included in all releases and is not dropped from a future update or major
release.

Comment 3 Zdenek Pizl 2005-06-09 08:00:15 UTC
I do not know how they can help me. It is the bug and there is only a nasty
workaround - restart samba whenever the count of processes is going near the limit.

It is really interesting bug:

- there is a limit of 100 concurrently procesess in smb.conf
- there are about 100 processes running or sleeping on the server indeed
- samba do not allow to create new connections correctly
- but smbstatus show no active connections
- so thereis should be problem with cleaning old inactive connections


[root@buildsrv root]# ps axf | grep smb | wc -l
    103

[root@buildsrv root]# smbstatus -v
using configfile = /etc/samba/smb.conf

Samba version 3.0.9-1.3E.1
PID    Username      Group        Machine
-------------------------------------------------------------------
Opened /var/cache/samba/connections.tdb

Service      pid    machine      Connected at
-------------------------------------------------------

No locked files


Comment 4 RHEL Product and Program Management 2007-10-19 19:01:43 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.